For the complete documentation index, see llms.txt. This page is also available as Markdown.

Manage Vendors

Vendor group list

get

List of vendor group.

Query parameters
limitnumberOptional
offsetnumberOptional
keywordstringOptional
statusstringOptional
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got vendor group list count. " or " Successfully got all vendor group List.
get/vendor-group
GET /vendor-group HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got vendor group list count. \" or \" Successfully got all vendor group List. "
}

Add vendor group

post

Add data for vendor group

Header parameters
AuthorizationstringRequired
Body
namestringOptional
descriptionstringOptional
statusinteger · int32Optional
commissioninteger · int32Optional
categoryIdsinteger[]Optional
Responses
200

success response

application/json
namestringOptional
descriptionstringOptional
isActiveintegerOptional
commissionintegerOptional
createdDatestring · date-timeOptional
groupIdintegerOptional
post/vendor-group
POST /vendor-group HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 80

"name='text'&description='text'&status=1&commission=1&categoryIds=[1]"
{
  "name": "text",
  "description": "text",
  "isActive": 1,
  "commission": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "groupId": 1
}

Update vendor group

put

Update a vendor group

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Body
namestringOptional
descriptionstringOptional
statusinteger · int32Optional
commissioninteger · int32Optional
categoryIdsinteger[]Optional
Responses
200

success response

*/*
namestringOptional
descriptionstringOptional
isActiveintegerOptional
commissionintegerOptional
groupIdintegerOptional
modifiedDatestring · date-timeOptional
put/vendor-group/{id}
PUT /vendor-group/{id} HTTP/1.1
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 80

{
  "name": "text",
  "description": "text",
  "status": 1,
  "commission": 1,
  "categoryIds": [
    1
  ]
}
{
  "name": "text",
  "description": "text",
  "isActive": 1,
  "commission": 1,
  "groupId": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z"
}

Delete vendor group

delete

Delete a vendor group

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Vendor Group Deleted Successfully.
delete/vendor-group/{id}
DELETE /vendor-group/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Vendor Group Deleted Successfully."
}

Vendor group detail

get

Get a detail of vendor group

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got vendor group details.
get/vendor-group/vendor-group-details/{id}
GET /vendor-group/vendor-group-details/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got vendor group details."
}

Vendor group count

get

Get Count of vendor group

Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the vendor group count
get/vendor-group/vendor-group-count
GET /vendor-group/vendor-group-count HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the vendor group count"
}

Create Vendor Category

post

Creates New Vendor-Category

Header parameters
AuthorizationstringRequired
Body
vendorIdinteger · int32Required
categoryIdstringRequired
commissioninteger · int32Optional
Responses
200

success response

application/json
vendorIdstringOptional
categoryIdstringOptional
vendorCategoryCommissioninteger · int32Optional
vendorCategoryIdinteger · int32Optional
post/vendor-category/create-vendor-category
POST /vendor-category/create-vendor-category HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 49

"vendorId=1&categoryId='text'&commission=1"
{
  "vendorId": "text",
  "categoryId": "text",
  "vendorCategoryCommission": 1,
  "vendorCategoryId": 1
}

Update Vendor Category

put

Updates A Vendor Category

Header parameters
AuthorizationstringRequired
Body
vendorIdinteger · int32Required
categoryIdstringRequired
commissioninteger · int32Optional
Responses
200

Success response

application/json
vendorIdstringOptional
categoryIdstringOptional
vendorCategoryCommissioninteger · int32Optional
vendorCategoryIdinteger · int32Optional
put/vendor-category/update-vendor-category
PUT /vendor-category/update-vendor-category HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 49

"vendorId=1&categoryId='text'&commission=1"
{
  "vendorId": "text",
  "categoryId": "text",
  "vendorCategoryCommission": 1,
  "vendorCategoryId": 1
}

Vendor Category List

get

Gets a Vendor Category list

Path parameters
idinteger · int32Required
Query parameters
keywordstringOptional
limitinteger · int32Optional
offsetinteger · int32Optional
countbooleanOptional
Header parameters
AuthorizationstringRequired
Responses
200

Success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the vendor category list.
get/vendor-category/vendorCategoryList/{id}
GET /vendor-category/vendorCategoryList/{id} HTTP/1.1
Authorization: text
Accept: */*
200

Success response

{
  "status": 1,
  "message": "Successfully got the vendor category list."
}

Vendor Category Group-List

get

Gets List of a Vendor Category By Group

Path parameters
idinteger · int32Required
Query parameters
keywordstringOptional
limitinteger · int32Optional
offsetinteger · int32Optional
countbooleanOptional
Header parameters
AuthorizationstringRequired
Responses
200

Success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the vendor category list.
get/vendor-category/vendor-category-list/{id}
GET /vendor-category/vendor-category-list/{id} HTTP/1.1
Authorization: text
Accept: */*
200

Success response

{
  "status": 1,
  "message": "Successfully got the vendor category list."
}

Delete Vendor Category

post

Deletes a Vendor Category

Path parameters
idnumber · int32Required
Header parameters
AuthorizationstringRequired
Responses
200

Success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully deleted the vendor category.
post/vendor-category/delete-vendor-category/{id}
POST /vendor-category/delete-vendor-category/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully deleted the vendor category."
}

Create vendor settings

post

Add a vendor settings

Body
defaultCommissioninteger · int32Optional
Responses
200

success response

application/json
createdByinteger · int32Optional
createdDatestring · date-timeOptional
modifiedByinteger · int32Optional
modifiedDatestring · date-timeOptional
settingIdinteger · int32Optional
defaultCommissionstringOptional
post/vendor-setting/create-vendor-settings
POST /vendor-setting/create-vendor-settings HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 23

"defaultCommission=1"
200

success response

{
  "createdBy": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedBy": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "settingId": 1,
  "defaultCommission": "text"
}

Get vendor settings

get

Get list of vendor settings.

Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: data is empty " or " Successfully get vendor settings
get/vendor-setting/get-vendor-settings
GET /vendor-setting/get-vendor-settings HTTP/1.1
Accept: */*
200

success response

{
  "status": 1,
  "message": "data is empty \" or \" Successfully get vendor settings"
}

Vendor List

get

Gets all Vendor List

Query parameters
limitinteger · int32Optional
offsetinteger · int32Optional
namestringOptional
statusstringOptional
emailstringOptional
countbooleanOptional
Responses
200

Success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got vendor count"or"Successfully got Vendor list.
get/admin-vendor
GET /admin-vendor  HTTP/1.1
Accept: */*
{
  "status": 1,
  "message": "Successfully got vendor count\"or\"Successfully got Vendor list."
}

Add Vendor

post
Header parameters
AuthorizationstringRequired
Body
firstNamestringRequired
lastNamestringRequired
emailstringOptional
mobileNumberinteger · int32Required
passwordstringRequired
confirmPasswordstringRequired
avatarstringOptional
mailStatusinteger · int32Required
statusinteger · int32Required
commissioninteger · int32Optional
companyNamestringOptional
companyLocationstringOptional
companyLogostringOptional
companyCoverImagestringOptional
companyDescriptionstringOptional
companyAddress1stringOptional
companyAddress2stringOptional
companyCitystringOptional
companyStatestringOptional
companyCountryIdinteger · int32Optional
pincodeinteger · int32Optional
companyMobileNumberinteger · int32Optional
companyEmailIdstringOptional
companyWebsitestringOptional
companyTaxNumberstringOptional
companyPanNumberstringOptional
paymentInformationstringOptional
vendorGroupIdinteger · int32Required
instagramstringOptional
twitterstringOptional
youtubestringOptional
facebookstringOptional
displayNameUrlstringOptional
Responses
200

Success response

statusintegerOptional
messagestringOptionalDefault: Successfully created new vendor with email Id and password and email sent."or" Vendor Created Successfully.
post/admin-vendor
POST /admin-vendor  HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 683

"firstName='text'&lastName='text'&email='text'&mobileNumber=1&password='text'&confirmPassword='text'&avatar='text'&mailStatus=1&status=1&commission=1&companyName='text'&companyLocation='text'&companyLogo='text'&companyCoverImage='text'&companyDescription='text'&companyAddress1='text'&companyAddress2='text'&companyCity='text'&companyState='text'&companyCountryId=1&pincode=1&companyMobileNumber=1&companyEmailId='text'&companyWebsite='text'&companyTaxNumber='text'&companyPanNumber='text'&paymentInformation='text'&vendorGroupId=1&instagram='text'&twitter='text'&youtube='text'&facebook='text'&displayNameUrl='text'"
<?xml version="1.0"?>
<object>
	<status>1</status>
	<message>Successfully created new vendor with email Id and password and email sent.&quot;or&quot; Vendor Created Successfully.</message>
</object>

Update Vendor

put

Updates a Vendor

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Body
firstNamestringRequired
lastNamestringRequired
mobileNumberinteger · int32Required
avatarstringOptional
mailStatusinteger · int32Required
statusinteger · int32Required
approvalFlaginteger · int32Optional
commissioninteger · int32Optional
companyNamestringOptional
companyLogostringOptional
companyCoverImagestringOptional
companyDescriptionstringOptional
companyAddress1stringOptional
companyAddress2stringOptional
companyCitystringOptional
companyStatestringOptional
companyCountryIdinteger · int32Optional
pincodeinteger · int32Optional
companyMobileNumberinteger · int32Optional
companyEmailIdstringOptional
companyWebsitestringOptional
companyTaxNumberstringOptional
companyPanNumberstringOptional
paymentInformationstringOptional
vendorGroupIdinteger · int32Required
instagramstringOptional
twitterstringOptional
youtubestringOptional
facebookstringOptional
displayNameUrlstringOptional
Responses
200

Success response

statusintegerOptional
messagestringOptionalDefault: Vendor Updated Successfully.
put/admin-vendor/{id}
PUT /admin-vendor/{id} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 617

"firstName='text'&lastName='text'&mobileNumber=1&avatar='text'&mailStatus=1&status=1&approvalFlag=1&commission=1&companyName='text'&companyLogo='text'&companyCoverImage='text'&companyDescription='text'&companyAddress1='text'&companyAddress2='text'&companyCity='text'&companyState='text'&companyCountryId=1&pincode=1&companyMobileNumber=1&companyEmailId='text'&companyWebsite='text'&companyTaxNumber='text'&companyPanNumber='text'&paymentInformation='text'&vendorGroupId=1&instagram='text'&twitter='text'&youtube='text'&facebook='text'&displayNameUrl='text'"
<?xml version="1.0"?>
<object>
	<status>1</status>
	<message>Vendor Updated Successfully.</message>
	<data>
		<createdBy>1</createdBy>
		<createdDate>2026-01-01T00:00:00.000Z</createdDate>
		<modifiedBy>1</modifiedBy>
		<modifiedDate>2026-01-01T00:00:00.000Z</modifiedDate>
		<id>1</id>
		<firstName>text</firstName>
		<lastName>text</lastName>
		<username>text</username>
		<password>text</password>
		<email>text</email>
		<mobileNumber>text</mobileNumber>
		<address>text</address>
		<countryId>1</countryId>
		<zoneId>text</zoneId>
		<city>text</city>
		<local>text</local>
		<oauthData>text</oauthData>
		<avatar>text</avatar>
		<newsletter>text</newsletter>
		<avatarPath>text</avatarPath>
		<customerGroupId>1</customerGroupId>
		<lastLogin>2026-01-01T00:00:00.000Z</lastLogin>
		<safe>1</safe>
		<ip>text</ip>
		<mailStatus>1</mailStatus>
		<pincode>text</pincode>
		<deleteFlag>1</deleteFlag>
		<isActive>1</isActive>
		<forgetPasswordKey>text</forgetPasswordKey>
		<linkExpires>2026-01-01T00:00:00.000Z</linkExpires>
		<lockedOn>text</lockedOn>
	</data>
</object>

Delete single Vendor

delete

Deletes a single Vendor

Path parameters
idinteger · int32Required
Header parameters
AuthorizationstringRequired
Responses
200

Success response

*/*
statusintegerOptional
messagestringOptionalDefault: Vendor Deleted Successfully
delete/admin-vendor/{id}
DELETE /admin-vendor/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Vendor Deleted Successfully"
}

Vendor Excel

get

Dowloads Vendor list -Excel

Query parameters
vedorIdstringOptional
namestringOptional
statusstringOptional
emailstringOptional
Responses
200

Success response

*/*
statusintegerOptional
messagestringOptionalDefault: Downloading Excel File...!
get/admin-vendor/vendor-excel-list
GET /admin-vendor/vendor-excel-list HTTP/1.1
Accept: */*
200

Success response

{
  "status": 1,
  "message": "Downloading Excel File...!"
}

Vendor Details

get

Gets a Vendor Detail

Path parameters
idinteger · int32Required
Header parameters
AuthorizationstringRequired
Responses
200

Success response

*/*
statusintegerOptional
messagestringOptionalDefault: successfully got Vendor details.
get/admin-vendor/vendor-details/{id}
GET /admin-vendor/vendor-details/{id} HTTP/1.1
Authorization: text
Accept: */*
200

Success response

{
  "status": 1,
  "message": "successfully got Vendor details."
}

Vendor Approval

put

Approval For a Vendor

Path parameters
idinteger · int32Required
Header parameters
AuthorizationstringRequired
Body
approvalFlaginteger · int32Optional
Responses
200

Success response

application/json
statusintegerOptional
messagestringOptionalDefault: Vendor Approved and email has been sent to the Vendor with Login credentials.
put/admin-vendor/approve-vendor/{id}
PUT /admin-vendor/approve-vendor/{id} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 18

"approvalFlag=1"
{
  "status": 1,
  "message": "Vendor Approved and email has been sent to the Vendor with Login credentials.",
  "data": {
    "createdBy": 1,
    "createdDate": "2026-01-01T00:00:00.000Z",
    "modifiedBy": 1,
    "modifiedDate": "2026-01-01T00:00:00.000Z",
    "vendorId": 1,
    "vendorPrefixId": "text",
    "customerId": 1,
    "vendorGroupId": 1,
    "commission": 1,
    "contactPersonName": "text",
    "vendorSlugName": "text",
    "designation": "text",
    "companyName": "text",
    "companyAddress1": "text",
    "companyAddress2": "text",
    "companyCity": "text",
    "companyState": "text",
    "companyCountryId": 1,
    "pincode": 1,
    "companyDescription": "text",
    "companyMobileNumber": "text",
    "companyEmailId": "text",
    "companyWebsite": "text",
    "companyTaxNumber": "text",
    "companyPanNumber": "text",
    "companyLogo": "text",
    "companyLogoPath": "text",
    "paymentInformation": "text",
    "approvalFlag": 1,
    "approvedBy": 1,
    "approvalDate": "2026-01-01T00:00:00.000Z",
    "companyCoverImage": "text",
    "companyCoverImagePath": "text",
    "displayNameUrl": "text",
    "instagram": "text",
    "twitter": "text",
    "youtube": "text",
    "facebook": "text"
  }
}

Delete Multiple Vendor

post

Deletes Multiple Vendor

Header parameters
AuthorizationstringRequired
Body
vendorIdstringRequired
Responses
200

Success response

application/json
statusintegerOptional
messagestringOptionalDefault: Successfully deleted the vendor
post/admin-vendor/delete-multiple-vendor
POST /admin-vendor/delete-multiple-vendor HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 19

"vendorId='text'"
{
  "status": 1,
  "message": "Successfully deleted the vendor"
}

Update Vendor Commission

put

Updates a Vendor-Commision

Path parameters
vendorIdinteger · int32Required
Header parameters
AuthorizationstringRequired
Body
commissionstringRequired
Responses
200

Success response

application/json
statusintegerOptional
messagestringOptionalDefault: Successfully Updated the Vendor Commission.
put/admin-vendor/update-vendor-commission/{vendorId}
PUT /admin-vendor/update-vendor-commission/{vendorId} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 21

"commission='text'"
{
  "status": 1,
  "message": "Successfully Updated the Vendor Commission."
}

Verify Customer Document

put

To Verify Costumer document

Path parameters
customerDocumentIdintegerRequired
Header parameters
AuthorizationstringRequired
Body
documentStatusinteger · int32Required
Responses
200

Success response

application/json
statusintegerOptional
messagestringOptionalDefault: Successfully verified the customer document.
put/admin-vendor/verify-customer-document/{customerDocumentId}
PUT /admin-vendor/verify-customer-document/{customerDocumentId} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 20

"documentStatus=1"
{
  "status": 1,
  "message": "Successfully verified the customer document."
}

Get Customer Document

get

Gets Customer Documents

Query parameters
keywordstringOptional
limitinteger · int32Optional
offsetinteger · int32Optional
vendorIdinteger · int32Optional
countinteger · int32Optional
Header parameters
AuthorizationstringRequired
Responses
200

Success response

*/*
statusintegerOptional
messagestringOptionalDefault: successfully list the customer document
get/admin-vendor/customer-document-list
GET /admin-vendor/customer-document-list HTTP/1.1
Authorization: text
Accept: */*
200

Success response

{
  "status": 1,
  "message": "successfully list the customer document"
}

Download Customer Document

get

Downloads a Customer Document

Path parameters
customerDocumentIdinteger · int32Required
Header parameters
AuthorizationstringRequired
Responses
200

Success response

*/*
statusintegerOptional
messagestringOptionalDefault: ""
get/admin-vendor/download-customer-document/{customerDocumentId}
GET /admin-vendor/download-customer-document/{customerDocumentId} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": ""
}

Vendor Count

get

Gets Vendor Count

Header parameters
AuthorizedstringRequired
Responses
200

Success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the vendor count
get/admin-vendor/vendor-count
GET /admin-vendor/vendor-count HTTP/1.1
Authorized: text
Accept: */*
200

Success response

{
  "status": 1,
  "message": "Successfully got the vendor count"
}

Update Vendor Name Slug

put

Updates Vendor slug Name

Responses
200

Success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully updated the vendor slug.
put/admin-vendor/update-vendor-slug
PUT /admin-vendor/update-vendor-slug HTTP/1.1
Accept: */*
200

Success response

{
  "status": 1,
  "message": "Successfully updated the vendor slug."
}

Check Vendor Display Name

post

Checks Vendor Display name

Header parameters
AuthorizationstringRequired
Body
vendorIdinteger · int32Optional
displayNameURLstringRequired
Responses
200

Success response

application/json
statusintegerOptional
messagestringOptionalDefault: Display name available
post/admin-vendor/check-display-name-url
POST /admin-vendor/check-display-name-url HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 38

"vendorId=1&displayNameURL='text'"
{
  "status": 1,
  "message": "Display name available"
}

Plugin

get

Gets Plugin list

Query parameters
limitinteger · int32Optional
offsetinteger · int32Optional
countbooleanOptional
Responses
200

Success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the list
get/admin-vendor/get-addons
GET /admin-vendor/get-addons HTTP/1.1
Accept: */*
{
  "status": 1,
  "message": "Successfully got the list"
}

Last updated